package sgc.portal.cw.cw0632.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0632.model.CW06320001U;
import sgc.portal.cw.cw0632.dto.CW06320001USearch;
import sgc.portal.cw.cw0632.service.CW06320001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0632")
public class CW06320001UController {
    private final CW06320001UService service;

    public CW06320001UController(CW06320001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06320001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06320001USearch search) {
        return service.getList(search);
    }
    
    @PostMapping("/CW06320001U/mail")
    public Map<String, String> mail(@RequestBody List<CW06320001U> CW06320001U) {
    	return service.sendMail(CW06320001U);
    }
}
